You need to select the version of Python when you create a new project on Divio Cloud.

The advice in short is: select Python 3 for almost all cases.

There are some fundamental incompatibilities between Python 2 and 3, and this has meant that the move to Python 3 amongst developers since the final release of Python 2.7 in 2010 has historically been slow.

However Python 3 is now firmly-established as the preferred choice for development. We recommend selecting Python 3 unless you know that you will be using legacy Python 2 components.

You can change the version of Python later by changing your project's base project, but it is better to avoid this if possible.

Note that Django 2 is no longer compatible with Python 2.

Please see Should I use Python 2 or Python 3 for my development activity? for further information. 

Did this answer your question?